installed.packages {utils} | R Documentation

## Find Installed Packages

### Description

Find (or retrieve) details of all packages installed in the specified libraries.

### Usage

    installed.packages(lib.loc = NULL, priority = NULL,
                       noCache = FALSE, fields = NULL)

### Arguments

`lib.loc` | character vector describing the location of R library trees to search through, or `NULL` for all known trees (see `.libPaths`).
`priority` | character vector or `NULL` (default). If non-null, used to select packages; `"high"` is equivalent to `c("base", "recommended")`. To select all packages without an assigned priority use `priority = "NA"`.
`noCache` | Do not use cached information.
`fields` | a character vector giving the fields to extract from each package's `DESCRIPTION` file in addition to the default ones, or `NULL` (default). Unavailable fields result in `NA` values.

### Details

`installed.packages` scans the ‘DESCRIPTION’ files of each package found along `lib.loc` and returns a matrix of package names, library paths and version numbers.

Note: this works with package names, not bundle names.

The information found is cached (by library) for the R session and specified `fields` argument, and updated only if the top-level library directory has been altered, for example by installing or removing a package. If the cached information becomes confused, it can be refreshed by running `installed.packages(noCache = TRUE)`.

### Value

A matrix with one row per package, row names the package names and column names `"Package"`, `"LibPath"`, `"Version"`, `"Priority"`, `"Bundle"`, `"Contains"`, `"Depends"`, `"Suggests"`, `"Imports"` and `"Built"` (the R version the package was built under). Additional columns can be specified using the `fields` argument.

### See Also

`update.packages`, `INSTALL`, `REMOVE`.

### Examples

    str(ip <- installed.packages(priority = "high"))
    ip[, c(1,3:5)]
    plic <- installed.packages(priority = "high", fields="License")
    ## what licenses are there:
    table( plic[,"License"] )

[Package utils version 2.9.2 Index]